Bug 113167 - patch to update cfengine port to 2.2.1
patch to update cfengine port to 2.2.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: sergei
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-30 19:20 UTC by jrhett
Modified: 2007-06-15 19:30 UTC (History)
0 users

See Also:


Attachments
file.diff (6.73 KB, patch)
2007-05-30 19:20 UTC, jrhett
no flags Details | Diff
cfengine-2.2.1-port.patch.txt (7.35 KB, text/plain; x-unix-mode=0644)
2007-05-30 19:47 UTC, jrhett
no flags Details
file.dat (84 bytes, text/plain; charset=US-ASCII; format=flowed)
2007-05-30 19:47 UTC, jrhett
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jrhett 2007-05-30 19:20:01 UTC
cfengine is up to version 2.2.1.  In particular, this version includes support for FreeBSD package management.

Fix: Attached patch will update the port.

Patch attached with submission follows:
Comment 1 jrhett 2007-05-30 19:47:17 UTC
Here is an improved patch which fixes a missing period (.) in the  
first patch, and also fixes the info directory location.
Comment 2 Martin Wilke freebsd_committer 2007-05-30 20:14:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2007-06-04 19:46:17 UTC
Responsible Changed
From-To: miwi->sergei

Over to maintainer.
Comment 4 jrhett 2007-06-05 23:28:01 UTC
Any update on this?

FYI: s/share\// on the Makefile patch.  I just found that yesterday.

-- 
Jo Rhett
senior geek

Silicon Valley Colocation
Support Phone: 408-400-0550
Comment 5 sergei freebsd_committer 2007-06-15 19:19:45 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 6 dfilter freebsd_committer 2007-06-15 19:27:12 UTC
sergei      2007-06-15 18:18:58 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/cfengine    Makefile distinfo 
    sysutils/cfengine/files patch-Makefile.in 
                            patch-doc_Makefile.in 
  Added files:
    sysutils/cfengine/files cfexecd.in cfservd.in 
  Log:
  - Update to 2.2.1 [1]
  - Add rc.d scripts for cfexecd(8) and cfservd(8)
  
  PR:             ports/113167 [1]
  Submitted by:   Jo Rhett <jrhett AT svcolo dot com>
  
  Revision  Changes    Path
  1.38      +8 -3      ports/sysutils/cfengine/Makefile
  1.13      +3 -3      ports/sysutils/cfengine/distinfo
  1.1       +30 -0     ports/sysutils/cfengine/files/cfexecd.in (new)
  1.1       +30 -0     ports/sysutils/cfengine/files/cfservd.in (new)
  1.2       +12 -5     ports/sysutils/cfengine/files/patch-Makefile.in
  1.3       +30 -16    ports/sysutils/cfengine/files/patch-doc_Makefile.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"